net.sf.okapi.common.pipeline.annotations

## Class ConfigurationParameter

- java.lang.Object
- - net.sf.okapi.common.pipeline.annotations.ConfigurationParameter

-     public class ConfigurationParameter
      extends java.lang.Object

  Java annotation item for runtime configuration parameters used in `IPipelineStep`.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.reflect.Method` | `getMethod()` Gets the method for this parameter.
    `StepParameterType` | `getParameterType()` Gets the type of parameter for this parameter.
    `IPipelineStep` | `getStep()` Gets the step for this parameter.
    `void` | `setMethod(java.lang.reflect.Method method)` Sets the method for this parameter.
    `void` | `setParameterType(StepParameterType parameterType)` Sets the type of parameter for this parameter.
    `void` | `setStep(IPipelineStep step)` Sets the step for this parameter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### setMethod

          public void setMethod(java.lang.reflect.Method method)

      Sets the method for this parameter.
      Parameters:
        `method` - the method for this parameter.

    - #### getMethod

          public java.lang.reflect.Method getMethod()

      Gets the method for this parameter.
      Returns:
        the method for this parameter.

    - #### setParameterType

          public void setParameterType(StepParameterType parameterType)

      Sets the type of parameter for this parameter.
      Parameters:
        `parameterType` - the type of parameter for this parameter.

    - #### getParameterType

          public StepParameterType getParameterType()

      Gets the type of parameter for this parameter.
      Returns:
        the type of parameter for this parameter.

    - #### setStep

          public void setStep(IPipelineStep step)

      Sets the step for this parameter.
      Parameters:
        `step` - the step for this parameter.

    - #### getStep

          public IPipelineStep getStep()

      Gets the step for this parameter.
      Returns:
        the step for this parameter.